## MgDataCellRendererTextual

MgDataCellRendererTextual — Cell renderer for textual data

## Synopsis

    struct      MgDataCellRendererTextual;
    GType       mg_data_cell_renderer_textual_get_type
                                                (void);
    GtkCellRenderer* mg_data_cell_renderer_textual_new
                                                (MgDataHandler *dh,
                                                 GdaValueType type);

## Object Hierarchy

      GObject
       +----GtkObject
             +----GtkCellRenderer
                   +----GtkCellRendererText
                         +----MgDataCellRendererTextual

## Properties

      "to-be-deleted"        gboolean             : Write
      "value"                gpointer             : Read / Write
      "value-attributes"     guint                : Read / Write

## Signal Prototypes

    "changed"   void        user_function      (MgDataCellRendererTextual *mgdatacellrenderertextual,
                                                gchar *arg1,
                                                gpointer arg2,
                                                gpointer user_data);

## Description

## Details

### struct MgDataCellRendererTextual

    struct MgDataCellRendererTextual;

### mg_data_cell_renderer_textual_get_type ()

    GType       mg_data_cell_renderer_textual_get_type
                                                (void);

Returns : |

### mg_data_cell_renderer_textual_new ()

    GtkCellRenderer* mg_data_cell_renderer_textual_new
                                                (MgDataHandler *dh,
                                                 GdaValueType type);

Creates a new MgDataCellRendererTextual. Adjust how text is drawn using object properties. Object properties can be set globally (with `g_object_set()`). Also, with GtkTreeViewColumn, you can bind a property to a value in a GtkTreeModel. For example, you can bind the "text" property on the cell renderer to a string value in the model, thus rendering a different string in each row of the GtkTreeView

`dh` : | a MgDataHandler object
`type` : | the GdaValueType being edited
Returns : | the new cell renderer

## Properties

"`to-be-deleted`" (gboolean : Write) |
"`value`" (gpointer : Read / Write) | GdaValue to render.
"`value-attributes`" (guint : Read / Write) |

## Signals

### The "changed" signal

    void        user_function                  (MgDataCellRendererTextual *mgdatacellrenderertextual,
                                                gchar *arg1,
                                                gpointer arg2,
                                                gpointer user_data);

`mgdatacellrenderertextual` : | the object which received the signal.
`arg1` : |
`arg2` : |
`user_data` : | user data set when the signal handler was connected.